﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
//ADD
using System.Data.SqlClient;

public partial class Login : System.Web.UI.Page
{
    //「ログイン」ボタンの処理
    protected void btnLogin_Click(object sender, EventArgs e)
    {
        if (IsValid)
        {
            if (check_login(txtLoginId.Text, txtPassword.Text))
            {
                Response.Redirect("Order.aspx");
            }
            else
            {
                //ログイン失敗時はエラーを表示
                RFVal_LoginId.ErrorMessage = "ID・パスワードに誤りがあります。";
                RFVal_LoginId.IsValid = false;
            }
        }
    }

    //ログインチェック
    private bool check_login(string str_customer_no, string str_password)
    {
        //データベース接続
        string conString = System.Configuration.ConfigurationManager
                            .ConnectionStrings["SampleConnectionString"].ConnectionString;
        SqlConnection cn = new SqlConnection(conString);
        cn.Open();

        string sql;
        sql = "select [CustomerNo] from [Customer] ";
        sql += "where [LoginId] = @LoginId and [Password] = @Password";
        SqlCommand cm = new SqlCommand(sql, cn);
        cm.Parameters.Add(new SqlParameter("LoginId", str_customer_no));
        cm.Parameters.Add(new SqlParameter("Password", str_password));
        SqlDataReader dr = null;
        try
        {
            dr = cm.ExecuteReader();
            if (dr.Read())
            {
                Session["CustomerNo"] = dr["CustomerNo"].ToString();
                return true;
            }
            else
            {
                return false;
            }
        }
        finally
        {
            dr.Close();
            cn.Close();
        }
    }
}
